de.esprit.appsuite.appstore.ndf

## Class AppDescriptorLaunchPrefsHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.appsuite.appstore.ndf.AppDescriptorLaunchPrefsHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class AppDescriptorLaunchPrefsHandler
      extends NdfHandler

  This handler reads the default `AppLaunchPrefs` from an `AppDescriptor` NDF file.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppDescriptorLaunchPrefsHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doneObject(NdfStructure struct)` Called when an object structure is done.
    `AppLaunchPrefs` | `getDefaultLaunchPrefs()`
    `void` | `startDocument(NdfStructure struct, NdfProperties headerProps)` Called when document parsing is started.
    `void` | `startObject(NdfStructure struct, NdfProperties props)` Called when an object structure was detected.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, checkDocumentType, doneArray, doneDocument, doneList, doneTable, doneText, foundArrayValue, foundArrayValue, foundListValue, foundListValue, foundProperties, foundTableCell, foundTableRow, foundTableRow, foundText, foundText, getCurrentNestingLevel, getCurrentStructure, getDocAuthor, getDocCreated, getDocEncoding, getDocType, getDocVersion, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startList, startTable, startText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppDescriptorLaunchPrefsHandler

          public AppDescriptorLaunchPrefsHandler()

  - ### Method Detail

    - #### startDocument

          public void startDocument(NdfStructure struct,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is started. Note that the document header properties are already read before this call.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### startObject

          public void startObject(NdfStructure struct,
                         NdfProperties props)
                           throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when an object structure was detected.
      Overrides:
        `startObject` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### doneObject

          public void doneObject(NdfStructure struct)
                          throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when an object structure is done.
      Overrides:
        `doneObject` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### getDefaultLaunchPrefs

          public AppLaunchPrefs getDefaultLaunchPrefs()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.